PipeWire 0.2.6

Data Fields
pw_core_info Struct Reference

The core information. More...

## Data Fields
uint32_t | id
| id of the global More...
uint64_t | change_mask
| bitfield of changed fields since last call More...
const char * | user_name
| name of the user that started the core More...
const char * | host_name
| name of the machine the core is running on More...
const char * | version
| version of the core More...
const char * | name
| name of the core More...
uint32_t | cookie
| a random cookie for identifying this instance of PipeWire More...
struct spa_dict * | props
| extra properties More...

## Detailed Description

The core information.

Extra information can be added in later versions

## Field Documentation

## ◆ change_mask

uint64_t pw_core_info::change_mask

bitfield of changed fields since last call

Referenced by pw_core_info_update().

## ◆ cookie

uint32_t pw_core_info::cookie

a random cookie for identifying this instance of PipeWire

Referenced by pw_core_info_update().

## ◆ host_name

const char* pw_core_info::host_name

name of the machine the core is running on

Referenced by pw_core_info_free(), and pw_core_info_update().

## ◆ id

uint32_t pw_core_info::id

id of the global

Referenced by pw_core_info_update().

## ◆ name

const char* pw_core_info::name

name of the core

Referenced by pw_core_info_free(), and pw_core_info_update().

## ◆ props

struct spa_dict* pw_core_info::props

extra properties

Referenced by pw_core_info_free(), and pw_core_info_update().

## ◆ user_name

const char* pw_core_info::user_name

name of the user that started the core

Referenced by pw_core_info_free(), and pw_core_info_update().

## ◆ version

const char* pw_core_info::version

version of the core

Referenced by pw_core_info_free(), and pw_core_info_update().

The documentation for this struct was generated from the following file:

- introspect.h